# The original tk_dialog has a "bug": it only takes 
#    bitmaps, but no bitmap-images. Since this is only
#    due to the bitmap-arg being passed to a -bitmap-option,
#    we change that -bitmap-option to an -image-option:
#    (and by the way, we also add a raised frame around it ;-)

# to make sure, the orig tk_dialog gets (auto-)loaded
catch {tk_dialog invalid arguments}

# -bitmap  --> -image
regsub  -all -- "-bitmap" [info body tk_dialog] \
                "-bd 2 -relief raised -image" img_dlg
proc img_dialog {w title text bitmap default args} $img_dlg
unset img_dlg


